Package htsjdk.samtools.metrics

# Class VersionHeader

java.lang.Object
htsjdk.samtools.metrics.VersionHeader

All Implemented Interfaces:
  `Header`, `Serializable`

public class VersionHeader extends Object implements Header
Header that stores information about the version of some piece of software or data used to create the metrics file. Payload consists of a name or description of the versioned item and a version string.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`VersionHeader()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
Equals method that checks that both the item and version string are equal.
`String`
`getVersionedItem()`
`String`
`getVersionString()`
`int`
`hashCode()`
`void`
`parse(String in)`
Parses the data contained in the String version of the header.
`void`
`setVersionedItem(String versionedItem)`
`void`
`setVersionString(String versionString)`
`String`
`toString()`
Converts the header to a String for persisting to a file.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VersionHeader

public VersionHeader()

## Method Details

### parse

public void parse(String in)
Description copied from interface: `Header`
Parses the data contained in the String version of the header.

Specified by:
  `parse` in interface `Header`

### toString

public String toString()
Description copied from interface: `Header`
Converts the header to a String for persisting to a file.

Specified by:
  `toString` in interface `Header`
Overrides:
  `toString` in class `Object`

### getVersionedItem

public String getVersionedItem()

### setVersionedItem

public void setVersionedItem(String versionedItem)

### getVersionString

public String getVersionString()

### setVersionString

public void setVersionString(String versionString)

### equals

public boolean equals(Object o)
Equals method that checks that both the item and version string are equal.

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`